{
    "$graph": [
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/bait"
                },
                {
                    "type": "File",
                    "id": "#main/identifications_R"
                },
                {
                    "type": "string",
                    "default": "50",
                    "id": "#main/mass_tolerance"
                },
                {
                    "type": "File",
                    "id": "#main/mztab"
                },
                {
                    "type": "File",
                    "id": "#main/mztab_to_csv_py"
                }
            ],
            "steps": [
                {
                    "run": "#identifications.cwl",
                    "in": [
                        {
                            "source": "#main/bait",
                            "id": "#main/identifications/bait"
                        },
                        {
                            "source": "#main/mztab_to_csv/csv",
                            "id": "#main/identifications/csv"
                        },
                        {
                            "source": "#main/identifications_R",
                            "id": "#main/identifications/identifications_R"
                        },
                        {
                            "source": "#main/mass_tolerance",
                            "id": "#main/identifications/mass_tolerance"
                        }
                    ],
                    "out": [
                        "#main/identifications/identifications_csv"
                    ],
                    "id": "#main/identifications"
                },
                {
                    "run": "#mztab_to_csv.cwl",
                    "in": [
                        {
                            "source": "#main/bait",
                            "id": "#main/mztab_to_csv/bait"
                        },
                        {
                            "source": "#main/mztab",
                            "id": "#main/mztab_to_csv/mztab"
                        },
                        {
                            "source": "#main/mztab_to_csv_py",
                            "id": "#main/mztab_to_csv/mztab_to_csv_py"
                        }
                    ],
                    "out": [
                        "#main/mztab_to_csv/csv"
                    ],
                    "id": "#main/mztab_to_csv"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/identifications/identifications_csv",
                    "id": "#main/identifications_csv"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "Rscript"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#identifications.cwl/bait"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#identifications.cwl/csv"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#identifications.cwl/identifications_R"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#identifications.cwl/mass_tolerance"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.bait)_identifications.csv"
                    },
                    "id": "#identifications.cwl/identifications_csv"
                }
            ],
            "id": "#identifications.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "python3"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#mztab_to_csv.cwl/bait"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#mztab_to_csv.cwl/mztab"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#mztab_to_csv.cwl/mztab_to_csv_py"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.bait).csv"
                    },
                    "id": "#mztab_to_csv.cwl/csv"
                }
            ],
            "id": "#mztab_to_csv.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
